// file: tr_hc_size_0.cc
//

// isip include files
//
#include "train_hash_cell.h"
#include "train_hash_cell_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Train_Hash_cell::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //
  size += (int_4)(strlen((char*)key_str_d) + 1);      // key_str_d
  size += sizeof(void_p);                          // item_d
  size += sizeof(Train_Hash_cell*);                      // next_d
 
  // exit gracefully
  //
  return size;
}
